## rootskel 0.84ubuntu6

=== src/etc/Makefile ===
dir = etc

subdirs = default

# backward compatibility
subdirs_empty = rcS.d

files = \
	fstab \
	group \
	inittab \
	modules.conf \
	nsswitch.conf \
	passwd

install-local:: $(outdir)
	ln -s /proc/mounts $(outdir)/mtab

include ../../Makefile.inc

=== src/lib/Makefile ===
dir = lib

subdirs = \
	debian-installer \
	debian-installer.d \
	debian-installer-startup.d \
	lsb

include ../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
dir = lib/debian-installer-startup.d

DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

files = \
	S01mount \
	S10syslog \
	S20templates \
	S30read-environment

ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
  ifneq (,$(filter i386 x86_64,$(DEB_HOST_GNU_CPU)))
    files += \
	S05acpi-i386
  endif

  ifeq ($(DEB_HOST_GNU_CPU),powerpc)
    files += \
	S45keyboard-linux-powerpc
  endif
endif

include ../../../Makefile.inc

=== src/lib/debian-installer.d/Makefile ===
dir = lib/debian-installer.d

DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

files += \
	S60frontend

ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
  ifeq ($(DEB_HOST_GNU_CPU),s390)
    files += \
	S30term-linux-s390
  else
    files += \
	S30term-linux \
	S35framebuffer-linux
  endif
  ifneq (,$(filter i386 x86_64,$(DEB_HOST_GNU_CPU)))
    files += \
	S33framebuffer-module-linux-i386
  endif

  files += \
	S40utf8-linux \
	S70menu-linux \
	S90utf8-linux
endif

include ../../../Makefile.inc

=== src/lib/debian-installer/Makefile ===
dir = lib/debian-installer

files_exec = menu

include ../../../Makefile.inc

=== debian/changelog ===
rootskel (0.84ubuntu6) warty; urgency=low

  * Set default amd64 kernel image to linux-amd64-generic, and default i386
    kernel image to linux-386. This is necessary for architectures where
    base-installer's get_arch_kernel might return a package not on the CD
    (part of Ubuntu #2136).

 -- Colin Watson <cjwatson@canonical.com>  Tue, 12 Oct 2004 10:48:55 +0100

rootskel (0.84ubuntu5) warty; urgency=low

  * Merge from Debian (rootskel 0.91):
    - Add S05acpi-i386 to load fan and thermal modules if available as early
      as practical in boot to avoid machine meltdown.
  * Do this on amd64 too.

 -- Colin Watson <cjwatson@canonical.com>  Wed,  8 Sep 2004 18:49:04 +0100

rootskel (0.84ubuntu4) warty; urgency=low

  * Install S33framebuffer-module-linux-i386 on amd64 too.

 -- Colin Watson <cjwatson@canonical.com>  Wed,  8 Sep 2004 12:46:27 +0100

rootskel (0.84ubuntu3) warty; urgency=low

  * Add shims for /lib/lsb/init-functions and /etc/default/rcS, to cope with
    /etc/init.d/pcmcia suddenly trying to use them in the d-i environment.

 -- Colin Watson <cjwatson@canonical.com>  Mon,  6 Sep 2004 17:47:19 +0100

rootskel (0.84ubuntu2) warty; urgency=low

  * Remove default i386 kernel version; let base-installer work it out.

 -- Colin Watson <cjwatson@canonical.com>  Mon,  6 Sep 2004 13:32:53 +0100

rootskel (0.84ubuntu1) warty; urgency=low

  * Colin Watson
    - Bump default i386 kernel version to 2.6.7. base-installer normally
      guesses it anyway, but this makes it stand a better chance.
    - Add ubuntu/install-type template (to be set to "desktop" or "server").

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon,  9 Aug 2004 23:44:44 +0100

rootskel (0.84) unstable; urgency=low

  * Joey Hess
    - Minor output fix.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jul 2004 10:45:39 -0400

rootskel (0.83) unstable; urgency=low

  * Kenshi Muto
    - Brush up fbcon / vga16fb loading routine.

 -- Kenshi Muto <kmuto@debian.org>  Wed,  7 Jul 2004 21:22:01 +0900

rootskel (0.82) unstable; urgency=low

  * Joey Hess
    - Load vesafb and vga16fb in paris along with fbcon, and don't assume
      it works until both load successfully. Closes: #257970

 -- Joey Hess <joeyh@debian.org>  Tue,  6 Jul 2004 22:33:13 -0400

rootskel (0.81) unstable; urgency=low

  * Colin Watson
    - Load AT keyboard modules only on powerpc chrp, chrp_pegasos, and prep.

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Jul 2004 22:47:34 +0100

rootskel (0.80) unstable; urgency=low

  * Kenshi Muto
    - Fix src/debian-installer.d/Makefile
      (Revert S33framebuffer-module-linux-i386 for i386) (Closes: #257687)

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Jul 2004 16:10:58 +0100

rootskel (0.79) unstable; urgency=low

  * Bastian Blank
    - Move startup code from lib/debian-installer.d and etc/rcS.d to
      lib/debian-installer-startup.d.
  * Colin Watson
    - Load i8042 and atkbd modules on powerpc 2.6. Some subarchitectures
      require them.
    - Remove null from debian-installer-startup in inittab; Bastian says "it
      is only able to hide problems".
  * Stephen R. Marenka
    - Fix sbin/init to run busybox init for 2.2 kernels.
  * Joshua Kwan
    - Symlink lib to lib64 to unhork amd64 images. Patch by Kurt Roeckx
      <Q@ping.be> (Closes: #256738)

 -- Colin Watson <cjwatson@debian.org>  Fri,  2 Jul 2004 12:05:29 +0100

rootskel (0.78) unstable; urgency=low

  * Bastian Blank
    - debian-installer/kernel/linux/link_in_boot defaults to true.
    - Remove debian-installer/kernel/linux/devfs.
    - Revert frontend detection change and set DEBIAN_FRONTEND to none.

 -- Bastian Blank <waldi@debian.org>  Sun, 27 Jun 2004 20:23:24 +0200

rootskel (0.77) unstable; urgency=low

  * Bastian Blank
    - Add source directories for rootskel-bootfloppy and rootskel-locale.
    - Remove unused linuxrc files.
    - Add terminal definitions for /dev/pts/*.
    - Add support for different menues, used by network-console.
  * Martin F. Krafft
    - klogd reads the entire buffer, so running dmesg at sysinit is
      unnecessary.
  * Mario Lang
    - Run frontend detection before S25env2debconf (Closes: #256001).

 -- Colin Watson <cjwatson@debian.org>  Sat, 26 Jun 2004 14:12:47 +0100

rootskel (0.76) unstable; urgency=low

  * Colin Watson
    - Mount /sys if sysfs is available (2.6).
    - Add 2.6 initrd template; currently differs only on powerpc.
    - Add an /etc/nsswitch.conf to force libnss_files for the passwd, group,
      and shadow databases.
    - Put kernel symlinks in /boot on powerpc (closes: #241569; requires
      yaboot-installer 0.0.21).
    - Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 May 2004 02:58:56 +0100

rootskel (0.75) unstable; urgency=low

  * Joey Hess
    - Break env2debconf out of libdebian-installer so it can source the
      confmodule, and make it support preseeding questions that do not exist
      in the initrd but are loaded with later udebs. Closes: #248147
    - Removed non-working source failure detection code in
      sbin/debian-installer.

 -- Joey Hess <joeyh@debian.org>  Sun,  9 May 2004 11:26:33 -0400

rootskel (0.74) unstable; urgency=low

  * Joey Hess
    - Sparc kernels do not use an initrd, so set
      debian-installer/kernel/linux/initrd to false.
    - The kernel allows variables like foo="bar baz" to be passed to it,
      this sets $foo to '"bar baz"' with the double quotes unstripped.
      When processing debconf variable settings, remove such double quotes.
    - Update default i386 2.4 kernel to 2.4.26; it's the one on the CDs now.
    - Update 2.6 kernel to 2.6.5, likewise.
  * Joshua Kwan
    - Disable framebuffers for sparc64 by including a Default[sparc]
      for debian-installer/framebuffer.

 -- Joey Hess <joeyh@debian.org>  Tue,  4 May 2004 23:40:57 -0400

rootskel (0.73) unstable; urgency=low

  * Joey Hess
    - Add info about 2.6 kernel to install.



=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: David Whedon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Matt Kraai <kraai@debian.org>, Colin Watson <cjwatson@debian.org>, Kenshi Muto <kmuto@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), locales
Standards-Version: 3.6.1.0

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Description: Skeleton root filesystem used by debian-installer
 This package contains a skeletal root filesystem for debian-installer.

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: any
Description: Skeleton root filesystem used by debian-installer boot floppy
 This package contains a skeletal root filesystem for debian-installer.

Package: rootskel-locale
XC-Package-Type: udeb
Architecture: any
Depends: rootskel
Description: UTF-8 locale used by debian-installer
 This package contains a UTF-8 locale (C.UTF-8) for debian-installer.

## rootskel 1.10.3

=== Makefile ===
subdirs = \
	src \
	src-bootfloppy \
	src-locale

build: build-recursive

install:
	@$(MAKE) install -C src DESTDIR=$(CURDIR)/debian/rootskel/
	@$(MAKE) install -C src-bootfloppy DESTDIR=$(CURDIR)/debian/rootskel-bootfloppy/
	@$(MAKE) install -C src-locale DESTDIR=$(CURDIR)/debian/rootskel-locale/

clean: clean-recursive

build-recursive clean-recursive:
	@target=`echo $@ | sed s/-recursive//`; \
	list='$(subdirs)'; \
	for subdir in $$list; do \
	  echo "Making install in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

=== src/Makefile ===
dir =

subdirs = \
	etc \
	lib \
	sbin \
	var

subdirs_empty = \
	dev \
	floppy \
	initrd \
	mnt \
	proc \
	sys \
	usr/lib/prebaseconfig.d

include ../Makefile.inc

=== src-bootfloppy/sbin/Makefile ===
dir = sbin

files_exec = \
	init

include ../../Makefile.inc

=== src-locale/usr/lib/Makefile ===
dir = usr/lib

subdirs = locale

include ../../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -8,18 +8,30 @@
 	S01mount \
 	S10syslog \
 	S20templates \
-	S30read-environment
+	S30read-environment \
+	S35term
 
 ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
   ifneq (,$(filter i386 x86_64,$(DEB_HOST_GNU_CPU)))
     files += \
-	S05acpi-i386
-  endif
+	S05acpi-linux-x86 \
+	S40framebuffer-module-linux-x86
+   endif
 
   ifeq ($(DEB_HOST_GNU_CPU),powerpc)
     files += \
 	S45keyboard-linux-powerpc
   endif
+  
+  ifneq (,$(filter mips mipsel,$(DEB_HOST_GNU_CPU)))
+    files += \
+	S40framebuffer-module-linux-mips
+   endif
+
+  ifneq (,$(filter alpha,$(DEB_HOST_GNU_CPU)))
+    files += \
+	S40framebuffer-module-linux-alpha
+   endif
 endif
 
 include ../../../Makefile.inc

=== src/lib/debian-installer.d/Makefile ===
dir = lib/debian-installer.d

DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

files += \
	S30term \
	S60frontend \
	S72menu-exit

ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
  ifneq ($(DEB_HOST_GNU_CPU),s390)
    files += \
	S35framebuffer-linux
  endif

  files += \
	S40term-linux \
	S70menu-linux
else
  files += \
	S70menu
endif

include ../../../Makefile.inc

=== src/lib/debian-installer/Makefile ===
dir = lib/debian-installer

DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

files_exec = \
	exit \
	exit-command \
	menu

ifeq ($(DEB_HOST_GNU_SYSTEM),linux)
  ifeq ($(DEB_HOST_GNU_CPU),s390)
    files += \
	detect-console:detect-console-linux-s390
  else
    files += \
	detect-console:detect-console-linux
  endif
endif

include ../../../Makefile.inc

=== src-locale/usr/lib/locale/Makefile ===
dir = usr/lib/locale

build-local:: C.UTF-8

C.UTF-8: C.UTF-8.in
	localedef -i $^ -f "UTF-8" ./$@

install-local:: C.UTF-8
	cp -a $< $(outdir)

clean-local::
	rm -rf C.UTF-8

include ../../../../Makefile.inc

=== debian/changelog ===
rootskel (1.10.3) unstable; urgency=low

  * Joey Hess
    - Update hppa to 2.6.8-2.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Feb 2005 20:03:03 -0500

rootskel (1.10.2) unstable; urgency=low

  * Colin Watson
    - Bump kernel defaults to 2.4.27-2 and 2.6.8-2 for i386, ia64, and s390.
      hppa is still trailing behind at 2.6.8-1.

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Jan 2005 21:40:36 +0000

rootskel (1.10.1) unstable; urgency=low

   * Joey Hess
     - Backed off changes from 1.10 regarding ia64 keyboard modules,
       since they're built back into the kernel now for 2.6 and 2.4.
     - Removed psmouse register-module code for ia64 and powerpc, moving this
       back to ddetect 1.12.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2005 15:50:29 -0500

rootskel (1.10) unstable; urgency=low

  * Colin Watson
    - Do the register-module i8042 and atkbd for powerpc/chrp* and
      powerpc/prep here rather than in hw-detect; it's too confusing having
      this spread out over two completely different places.
    - Might as well register-module psmouse here too.
  * Joey Hess
    - Add ps2 keyoard module registration code for ia64 with the 2.6 kernel
      which has it modular. Also threw in register-module psmouse there.
      Closes: #283983

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 2004 13:25:12 -0500

rootskel (1.09) unstable; urgency=high

  * Bdale Garbee
    - hppa 2.6 kernels need do_initrd = Yes

 -- Bdale Garbee <bdale@gag.com>  Thu, 11 Nov 2004 23:10:01 -0700

rootskel (1.08) unstable; urgency=high

  * Bdale Garbee
    - give hppa a 2.6 kernel version default

 -- Bdale Garbee <bdale@gag.com>  Wed, 10 Nov 2004 16:17:30 -0700

rootskel (1.07) unstable; urgency=high

  * Joey Hess
    - Revert change in 1.06, it broke all serial console installs
      (including English) using non-linux terminals. Reopens: #263137

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Oct 2004 16:31:33 -0400

rootskel (1.06) unstable; urgency=low

  * Kenshi Muto
    - Enable UTF-8 on serial console. (closes: #263137)
      This change solves lock up of non-English installation.

 -- Kenshi Muto <kmuto@debian.org>  Sun, 17 Oct 2004 15:20:38 +0900

rootskel (1.05) unstable; urgency=low

  * Stephen R. Marenka
    - Only check for 2.2 kernel serial console for VMEs,
      workaround for #269077.

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 13:24:40 -0400

rootskel (1.04) unstable; urgency=low

  * Joey Hess
    - Test for debian-installer/framebuffer in S35framebuffer-linux to allow
      disabling of the use of the framebuffer with bterm on arches that have
      the framebuffer built in. Closes: #273378

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 2004 13:34:51 -0400

rootskel (1.03) unstable; urgency=low

  * Jim Lieb
    - Add 2.6 kernels to ia64 build
  * Martin Michlmayr
    - Load framebuffer modules for sb1-swarm-bn on mips/mipsel.
  * Sven Luther
    - Load framebuffer modules for tgafb on alpha.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 20:50:52 -0400

rootskel (1.02) unstable; urgency=low

  * Bastian Blank
    - Update s390 to 2.4.27 kernel.
  * Bdale Garbee
    - Update hppa to 2.4.27 kernel.

 -- Bdale Garbee <bdale@gag.com>  Tue, 14 Sep 2004 10:38:42 -0600

rootskel (1.01) unstable; urgency=low

  * dann frazier
    - Set Default[ia64] to kernel-image-2.4.27-1-itanium-smp
      (was kernel-image-2.4.25-itanium-smp)
  * Joshua Kwan
    - Set initrd/initrd-2.6 to true for sparc.
  * Joey Hess
    - Update i386 to 2.4.27 and 2.6.8 kernels.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 2004 13:20:07 -0400

rootskel (1.00) unstable; urgency=low

  * Colin Watson
    - Install acpi and framebuffer startup scripts on amd64 as well as i386.
      Rename scripts to match.
  * Joey Hess
    - Add the id of the question to the dummy template description so bug
      reports can be more useful.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Sep 2004 11:36:59 -0400

rootskel (0.92) unstable; urgency=low

  * Joey Hess
    - Disable printk when displaying the prompt in boot floppy init
      to avoid ugly delayed usb messages overwriting the prompt.

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 2004 18:16:26 -0400

rootskel (0.91) unstable; urgency=low

  * Joey Hess
    - Add S05acpi-i386 to load fan and thermal modules if available
      as early as practical in boot to avoid machine meltdown.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2004 20:39:33 +0100

rootskel (0.90) unstable; urgency=low

  * Joey Hess
    - env2debconf: Mark preseeded questions as seen to avoid pestering the
      user with them.

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Aug 2004 16:22:43 +0100

rootskel (0.89) unstable; urgency=low

  * Wouter Verhelst
    - move /lib/debian-installer.d/S30term-linux to
      /lib/debian-installer/detect-console; create new S30term-linux which
      sources detect-console. This is so that we can use it in different
      places.
    - Source the above created file in /sbin/init right before starting
      busybox init in the 2.2 scenario, and remove /dev/vc/[2-5] when running
      on a serial console.
    The above two changes should make serial console work on 2.2 systems.
  * Bastian Blank
    - Fix the above changes for work with special cases, like s390.
    - Load framebuffer modules only once.
    - Check debian-installer/framebuffer only once.
    - Don't set DEBIAN_FRONTEND in startup code.
    - Always export DEBIAN_FRONTEND.
  * Joey Hess
    - i386 is at 2.6.7 now, not 2.6.5.
  * Martin Michlmayr
    - Surpass a bogus warning when trying to unmount /initrd/dev.
    - Set debian-installer/kernel/linux/link_in_boot to true on ARM.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Aug 2004 16:36:18 +0100

rootskel (0.88) unstable; urgency=low

  * Bastian Blank
    - Fix installer entry in passwd.

 -- Bastian Blank <waldi@debian.org>  Thu, 22 Jul 2004 10:36:12 +0200

rootskel (0.87) unstable; urgency=low

  * Bastian Blank


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: standard
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: David Whedon <dwhedon@debian.org>, Tollef Fog Heen <tfheen@debian.org>, Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Matt Kraai <kraai@debian.org>, Colin Watson <cjwatson@debian.org>, Kenshi Muto <kmuto@debian.org>
+Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Matt Kraai <kraai@debian.org>, Colin Watson <cjwatson@debian.org>, Kenshi Muto <kmuto@debian.org>, Bastian Blank <waldi@debian.org>, Bdale Garbee <bdale@gag.com>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), locales
 Standards-Version: 3.6.1.0

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

build: build-stamp debian/templates
build-stamp:
	dh_testdir

	$(MAKE) build

	touch $@

debian/templates: debian/templates-arch
	debian/templates-build.pl $(DEB_HOST_ARCH) < $< > $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean
	rm -f debian/templates

	dh_clean

install: build
	dh_testdir
	dh_testroot

	$(MAKE) install
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64)
	ln -s lib debian/rootskel/lib64
endif

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## rootskel 1.10.3sarge1

=== debian/changelog ===
rootskel (1.10.3sarge1) oldstable; urgency=low

  * Update kernel defaults to 2.4.27-3 and 2.6.8-4.

 -- Frans Pop <fjp@debian.org>  Tue, 29 May 2007 19:26:30 +0000

## rootskel 1.11ubuntu9

=== src/etc/Makefile ===
--- 
+++ 
@@ -14,6 +14,6 @@
 	passwd
 
 install-local:: $(outdir)
-	ln -s /proc/mounts $(outdir)/mtab
+	ln -fs /proc/mounts $(outdir)/mtab
 
 include ../../Makefile.inc

=== src/etc/default/Makefile ===
dir = etc/default
files = rcS

include ../../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 files = \
 	S01mount \
+	S02udev \
+	S03hotplug \
 	S10syslog \
 	S20templates \
 	S30read-environment \
@@ -23,6 +25,11 @@
 	S45keyboard-linux-powerpc
   endif
   
+  ifeq ($(DEB_HOST_GNU_CPU),ia64)
+    files += \
+	S45keyboard-linux-ia64
+  endif
+
   ifneq (,$(filter mips mipsel,$(DEB_HOST_GNU_CPU)))
     files += \
 	S40framebuffer-module-linux-mips

=== src/lib/debian-installer/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 files_exec = \
 	exit \
 	exit-command \
+	init-udev-devices \
 	menu
 
 ifeq ($(DEB_HOST_GNU_SYSTEM),linux)

=== src/lib/lsb/Makefile ===
dir = lib/lsb

files = init-functions

include ../../../Makefile.inc

=== debian/changelog ===
rootskel (1.11ubuntu9) hoary; urgency=low

  * Make sure that scsi.rc is called after pci.rc and usb.rc. Mirrors
    hotplug 0.0.20040329-16ubuntu12.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  2 Mar 2005 09:34:24 +0000

rootskel (1.11ubuntu8) hoary; urgency=low

  * When starting up hotplug, make sure that ide.rc is called after pci.rc
    and usb.rc. Mirrors hotplug 0.0.20040329-16ubuntu11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Feb 2005 11:33:01 +0000

rootskel (1.11ubuntu7) hoary; urgency=low

  * Restore /.dev bind-mount, since I've discovered something that needs it
    (mdrun).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Feb 2005 19:25:36 +0000

rootskel (1.11ubuntu6) hoary; urgency=low

  * Factor out initial device creation for udev into a separate script, to
    make it easier to walk through /sbin/init by hand when necessary.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  3 Feb 2005 18:53:29 +0000

rootskel (1.11ubuntu5) hoary; urgency=low

  * Create /dev/tts/{0,1} before starting busybox init.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  2 Feb 2005 18:28:28 +0000

rootskel (1.11ubuntu4) hoary; urgency=low

  * Call udevstart rather than passively waiting for /dev/fb/0 to appear
    (thanks, Matt Zimmerman).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Jan 2005 14:26:29 +0000

rootskel (1.11ubuntu3) hoary; urgency=low

  * Switch udev/hotplug support to use udevsend.

 -- Colin Watson <cjwatson@canonical.com>  Sun,  9 Jan 2005 23:18:10 +0000

rootskel (1.11ubuntu2) hoary; urgency=low

  * Add a 'restart' action to the default inittab

 -- Matt Zimmerman <mdz@canonical.com>  Wed,  5 Jan 2005 17:32:49 -0800

rootskel (1.11ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.
  * 2.6.9 doesn't return proper errors when 'modprobe vesafb' fails, so
    check that /proc/fb is non-empty as well.

 -- Colin Watson <cjwatson@canonical.com>  Tue,  4 Jan 2005 19:29:21 +0000

rootskel (1.11) experimental; urgency=low

  NOTE: not for sarge, needs base-installer 1.14.
  * Colin Watson
    - Remove hardcoded path to debconf-loadtemplate.
  * Joey Hess
    - Move templates to base-installer that are only used by base-installer
      and frequently need updated, so are best not put on d-i initrds:
      debian-installer/kernel/image, debian-installer/kernel/image-2.6,
      debian-installer/kernel/linux/initrd,
      debian-installer/kernel/linux/initrd-2.6.
      Did not move a few others that are used by more packages than just
      base-installer.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Dec 2004 17:29:50 +0000

rootskel (1.10ubuntu2) hoary; urgency=low

  * Set default ia64 kernel image to linux-itanium-smp.

 -- Colin Watson <cjwatson@canonical.com>  Wed,  8 Dec 2004 23:23:23 +0100

rootskel (1.10ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Sun, 05 Dec 2004 12:47:05 +0000

rootskel (1.09ubuntu5) hoary; urgency=low

  * Drop symlinking of files to /etc/udev/rules.d; udev (>= 0.046-2) puts
    them there to begin with.
  * Increase udev tmpfs size to 5MB.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 26 Nov 2004 15:10:17 +0000

rootskel (1.09ubuntu4) hoary; urgency=low

  * Bind-mounting /dev to /.dev isn't necessary according to Marco d'Itri.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 25 Nov 2004 21:09:57 +0000

rootskel (1.09ubuntu3) hoary; urgency=low

  * Fix mknod invocation for M entries in /etc/udev/links.conf.
  * Small fix to hotplug startup script output.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 17 Nov 2004 01:04:11 +0000

rootskel (1.09ubuntu2) hoary; urgency=low

  * Add optional support for using udev and hotplug instead of devfs.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 16 Nov 2004 12:19:57 +0000

rootskel (1.09ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 16 Nov 2004 12:11:30 +0000

rootskel (1.07ubuntu1) hoary; urgency=low

  * Resynchronise with Debian (thanks, Scott James Remnant).
  * Remove ubuntu/install-type template; it'll be filled in automatically
    with debian-installer/dummy.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 29 Oct 2004 14:01:59 +0100

## rootskel 1.17

=== src-bootfloppy/Makefile ===
dir =

subdirs = \
	sbin

subdirs_empty = \
	dev \
	floppy \
	initrd \
	mnt \
	proc

include ../Makefile.inc

=== src-locale/Makefile ===
dir =

subdirs = usr

include ../Makefile.inc

=== src-locale/usr/Makefile ===
dir = usr

subdirs = lib

include ../../Makefile.inc

=== src/etc/Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
 dir = etc
-
-subdirs = default
 
 # backward compatibility
 subdirs_empty = rcS.d

=== src/sbin/Makefile ===
dir = sbin

files_exec = \
	debian-installer \
	debian-installer-startup \
	env2debconf \
	shutdown \
	init

include ../../Makefile.inc

=== src/lib/debian-installer-startup.d/Makefile ===
dir = lib/debian-installer-startup.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files = \
	S01mount \
	S02udev \
	S03hotplug \
	S10syslog \
	S20templates \
	S35term

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
    files += \
	S05acpi-linux-x86 \
	S40framebuffer-module-linux-x86
   endif

  ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
    files += \
	S45keyboard-linux-powerpc
  endif
  
  ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-mips
   endif

  ifneq (,$(filter alpha,$(DEB_HOST_ARCH_CPU)))
    files += \
	S40framebuffer-module-linux-alpha
   endif
endif

include ../../../Makefile.inc

=== src/lib/debian-installer/Makefile ===
dir = lib/debian-installer

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files_exec = \
	coldplug \
	exit \
	exit-command \
	init-udev-devices \
	menu

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifeq ($(DEB_HOST_ARCH_CPU),s390)
    files += \
	detect-console:detect-console-linux-s390
  else
    files += \
	detect-console:detect-console-linux
  endif
endif

include ../../../Makefile.inc

=== debian/changelog ===
rootskel (1.17) unstable; urgency=low

  * Fix initramfs init script (proc and dev exist already, don't make).

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Jul 2005 22:21:19 +0300

rootskel (1.16) unstable; urgency=low

  * Colin Watson
    - Fix hotplug script ordering.

 -- Colin Watson <cjwatson@debian.org>  Thu, 30 Jun 2005 13:10:02 +0100

rootskel (1.15) unstable; urgency=low

  * Colin Watson
    - Cope with non-devfs path to framebuffer device (/dev/fb0).
    - Support init= boot parameter in initramfs.
    - dpkg-architecture >= 1.13.2 changed the semantics of DEB_HOST_GNU_*.
      Use DEB_HOST_ARCH_* instead, and add compatibility code for old
      dpkg-architecture.
  * Joey Hess
    - Remove unused /floppy entry from fstab.
    - Move env2debconf command to di-utils (1.10) in a vain attempt to make
      this package a little bit more of a skeleton again.
    - Add a TODO file with my ideas of what needs to be done with this
      package.
    - debian-installer/kernel/commandline moved to s390-dasd (0.0.11) since
      it's only used on s390. Upload s390-dasd when uploading this package.
    - Remove debian-installer/kernel/subarchitecture template, everything
      uses the archdetect command now.
    - S30read-environment moved to env-preseed udeb.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Jun 2005 20:59:43 -0400

rootskel (1.14) unstable; urgency=low

  * Matt Zimmerman
    - Add a 'restart' action to the default inittab which re-execs init on
      receipt of SIGHUP or SIGUSR1. Useful when building a live-CD-style
      system where you want to switch to a different init part-way through.

 -- Colin Watson <cjwatson@debian.org>  Fri,  6 May 2005 12:49:27 +0100

rootskel (1.13) unstable; urgency=low

  * Joey Hess
    - Add (untested) support for calling udevstart in /init for initramfs.
    - Re-add devfs mount code to boot floppy init, so the boot parameter
      is not needed.
  * Colin Watson
    - Add optional support for hotplug, ported over from Ubuntu.

 -- Joey Hess <joeyh@debian.org>  Wed,  4 May 2005 14:06:55 -0400

rootskel (1.12) unstable; urgency=low

  NOTE: not for sarge, needs base-installer 1.14 and is generally scary.
  * Joey Hess
    - Backed off changes from 1.10 regarding ia64 keyboard modules,
      since they're built back into the kernel now for 2.6 and 2.4.
    - Removed psmouse register-module code for ia64 and powerpc, moving this
      back to ddetect.
    - Add a simple /init to support initramfs images. At least for now,
      initramfs is used as the filesystem for the entire d-i run.
    - Shut up /initrd umount code, since there is no /initrd with initramfs.
    - Moved unifont.bgf to lib. Needs bterm-unifont 1.0
      Closes: #212981
  * Martin Michlmayr
    - Use the noinit=0 parameter when loading the matroxfb_base module,
      otherwise it won't work on MIPS.  Thanks, Peter 'p2' De Schrijver.
  * Colin Watson
    - Linux 2.6.9 and above doesn't return proper errors when 'modprobe
      vesafb' fails, so check that /proc/fb is non-empty as well.
    - Add optional support for udev, ported over from Ubuntu. I'm not yet
      sure if this will work without hotplug ...

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2005 15:47:55 -0500

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,15 @@
 XC-Package-Type: udeb
 Architecture: any
 Description: Skeleton root filesystem used by debian-installer
- This package contains a skeletal root filesystem for debian-installer.
 
 Package: rootskel-bootfloppy
 XC-Package-Type: udeb
 Priority: extra
 Architecture: any
 Description: Skeleton root filesystem used by debian-installer boot floppy
- This package contains a skeletal root filesystem for debian-installer.
 
 Package: rootskel-locale
 XC-Package-Type: udeb
 Architecture: any
 Depends: rootskel
 Description: UTF-8 locale used by debian-installer
- This package contains a UTF-8 locale (C.UTF-8) for debian-installer.

## rootskel 1.28

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 files = \
 	S01mount \
-	S02udev \
+	S02udev-fixup \
 	S03hotplug \
 	S10syslog \
 	S20templates \
@@ -26,9 +26,10 @@
   ifneq (,$(filter i386 amd64,$(DEB_HOST_ARCH_CPU)))
     files += \
 	S05acpi-linux-x86 \
-	S40framebuffer-module-linux-x86
+	S40framebuffer-module-linux-x86 \
+	S04countcpus-linux-x86
    endif
-
+  
   ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
     files += \
 	S45keyboard-linux-powerpc
@@ -41,7 +42,8 @@
 
   ifneq (,$(filter alpha,$(DEB_HOST_ARCH_CPU)))
     files += \
-	S40framebuffer-module-linux-alpha
+	S40framebuffer-module-linux-alpha \
+	S04countcpus-linux-alpha
    endif
 endif

=== src/lib/debian-installer/Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	exit \
 	exit-command \
 	init-udev-devices \
+	init-debug \
 	menu
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)

=== src/var/log/Makefile ===
dir = var/log

files = messages

include ../../../Makefile.inc

=== debian/changelog ===
rootskel (1.28) unstable; urgency=low

  * Mount a tmpfs on /dev in init-udev-devices, and mount /proc slightly
    earlier in the initramfs init; this makes the bind mount to /.dev work
    properly in the initramfs case.

 -- Colin Watson <cjwatson@debian.org>  Thu,  1 Dec 2005 13:39:22 +0000

rootskel (1.27) unstable; urgency=low

  * Redo MENU change, but remember to export it this time.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 29 Nov 2005 09:07:24 +0100

rootskel (1.26) unstable; urgency=low

  * Revert MENU change that caused it not to be set in the part of rootskel
    that uses it and broke d-i boot.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Nov 2005 00:46:48 -0500

rootskel (1.25) unstable; urgency=low

  [ Colin Watson ]
  * After calling reboot or halt, sleep for a bit if possible to try to
    ensure that init always has a chance to kill main-menu before it runs
    the next menu item.

  [ Tollef Fog Heen ]
  * Make it possible to override what menu to use by passing it in the
    MENU environment variable.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 28 Nov 2005 14:03:32 +0100

rootskel (1.24) unstable; urgency=low

  [ Frans Pop ]
  * In S60frontend only allow the gtk frontend if framebuffer is available
    and the system has sufficient memory (for now: 92 MiB).

  [ Colin Watson ]
  * src/lib/debian-installer/init-udev-devices: Skip creating devices and
    directories if they already exist.
  * Discard stderr when trying to load fan and thermal, to avoid noise on
    machines without those devices.
  * Look for udevd rather than udevstart to decide whether to do udevish
    things; udevstart has gone away.
  * If udevstart is missing, try udevsynthesize instead to attempt to
    encourage udev to settle after loading framebuffer modules.
  * Drop S02udev startup script (provided by udev-udeb) and ship
    S02udev-fixup instead to arrange for /.dev to be mounted for programs
    that still care.

  [ Sven Luther ]
  * Adapted to chrp_rs6k -> chrp_ibm transition.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Nov 2005 18:29:30 -0500

rootskel (1.23) unstable; urgency=low

  [ Joey Hess ]
  * Reorder some stuff in S01umount to make sure /dev is mounted before trying
    to write to /dev/null. (For takeover installs.)
  * /dev/null freeramdisk stderr
  * Formatting and whitespace improvements.

  [ Colin Watson ]
  * Load AT keyboard modules on powerpc/chrp_rs6k (closes: #332248).
  * Stop trying to install env2debconf; it was moved to
    debian-installer-utils (and thence to preseed) a while ago.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Oct 2005 14:20:08 +0100

rootskel (1.22) unstable; urgency=low

  * src-bootfloppy/init: export PATH. Closes: #328729.
    Necessary because busybox sh sets but does not export PATH anymore.
  * src/init, src/sbin/init: export PATH here too, for good measure.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Sep 2005 17:28:00 +0200

rootskel (1.21) unstable; urgency=low

  [ Joey Hess ]
  * Split locale out into a new installation-locale package.
  * Move link_in_boot template to base-installer.
  * Needs base-installer 1.23 and installation-locale.
  * Support running d-i from a ramfs if tmpfs and shmfs fail, for custom
    kernels that happen to use ramfs.
  * Support booting systems w/o devfs support with kernels newer than 2.2,
    for userdevfs for 2.4 kernels.

  [ Colin Watson ]
  * Minor udev startup script updates from the real udev package.

 -- Joey Hess <joeyh@debian.org>  Mon, 15 Aug 2005 18:06:58 -0400

rootskel (1.20) unstable; urgency=low

  * Build-depend on new version of locales and rebuild, as the data format has
    changed and rootskel-locale needs to match the glibc of the d-i image
    build systems.

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Aug 2005 19:27:33 -0400

rootskel (1.19) unstable; urgency=low

  * Add boot scripts for x86 and alpha to grep dmesg for strings indicating an
    SMP machine and store this info in /var/numcpus for later use by
    base-installer. This avoids the info being lost when the ring buffer
    overflows.
  * For x86, use the same method used previously for amd64 of looking for
    "WARNING: NR_CPUS limit of 1 reached." to detect a non-smp kernel running
    on a smp machine. Tested to work with 2.6.8 on i386.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Aug 2005 13:58:15 -0400

rootskel (1.18) unstable; urgency=low

  * Make BOOT_DEBUG work for the main initrd, not only for the floppy initrd.
  * Add debug shells right after boot.

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Jul 2005 16:02:45 +0300

=== debian/control ===
Source: rootskel
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Joey Hess <joeyh@debian.org>, Matt Kraai <kraai@debian.org>, Colin Watson <cjwatson@debian.org>, Kenshi Muto <kmuto@debian.org>, Bastian Blank <waldi@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0)

Package: rootskel
XC-Package-Type: udeb
Architecture: any
Description: Skeleton root filesystem used by debian-installer

Package: rootskel-bootfloppy
XC-Package-Type: udeb
Priority: extra
Architecture: any
Description: Skeleton root filesystem used by debian-installer boot floppy

## rootskel 1.33ubuntu4

=== src/lib/debian-installer-startup.d/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 files = \
 	S01mount \
+	S02module-params \
 	S02udev-fixup \
 	S03hotplug \
 	S10syslog \

=== src/lib/debian-installer.d/Makefile ===
dir = lib/debian-installer.d

DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# Take account of old dpkg-architecture output.
ifeq ($(DEB_HOST_ARCH_CPU),)
  DEB_HOST_ARCH_CPU   := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
    DEB_HOST_ARCH_CPU   := amd64
  endif
endif
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
endif

files += \
	S30term \
	S60frontend \
	S72menu-exit

ifeq ($(DEB_HOST_ARCH_OS),linux)
  ifneq ($(DEB_HOST_ARCH_CPU),s390)
    files += \
	S35framebuffer-linux
  endif

  files += \
	S40term-linux \
	S70menu-linux
else
  files += \
	S70menu
endif

include ../../../Makefile.inc

=== debian/changelog ===
rootskel (1.33ubuntu4) edgy; urgency=low

  * Put setupcon call back, as the console-tools bug that caused a VT switch
    has been fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  3 Oct 2006 10:55:17 +0100

rootskel (1.33ubuntu3) edgy; urgency=low

  * Revert setupcon change from 1.33ubuntu2. On reflection, this will cause
    an annoying VT switch and is probably best avoided for the time being.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 16:13:43 +0100

rootskel (1.33ubuntu2) edgy; urgency=low

  * Call setupcon from /etc/profile if it's available and
    /etc/default/console-setup exists.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 16:05:08 +0100

rootskel (1.33ubuntu1) edgy; urgency=low

  * Backport from trunk (Colin Watson):
    - src/lib/debian-installer/init-udev-devices, src/sbin/init:
      Create/remove normal device names as well as devfs names.
  * Backport from trunk (Frans Pop):
    - Add /etc/profile to set VT2 in UTF-8 mode if needed.
    - Make shell on VT2 a login shell so that /etc/profile will be sourced.
    - Set LANG and LANGUAGE to sensible defaults always; should fix dialogs
      in some cases where localechooser is not run (e.g. country selection
      lists on S/390).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 09:56:19 +0100

rootskel (1.33) unstable; urgency=low

  [ Joey Hess ]
  * Add a debugshell in abort.

  [ Colin Watson ]
  * Allow for non-devfs-style console device names in detect-console-linux.

  [ Sven Luther ]
  * Add support for /dev/hvc* virtual serial consoles on recent IBM POWER
    machines in detect-console-linux. Closes: #375499.

 -- Frans Pop <fjp@debian.org>  Fri, 30 Jun 2006 15:23:24 +0200

rootskel (1.32) unstable; urgency=low

  * Don't start bterm when running the gtk frontend.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 May 2006 13:25:35 +0100

rootskel (1.31) unstable; urgency=low

  [ Martin Michlmayr ]
  * sb1-swarm-bn has been renamed to sb1-bcm91250a.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 17 Mar 2006 22:25:50 +0000

rootskel (1.30) unstable; urgency=low

  * Add S01module-params startup script which parses the kernel command line
    for things of the form module.param=value and calls register-modules -a -p
    to make the parameters get used when the modules are later loaded.
    This allows passing parameters in the same form used for parameters
    of modules that are built into the kernel, and have them take effect with
    modules loaded by eg, udev. Closes: #353942, #284425
  * Needs di-utils 1.24.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Mar 2006 14:59:03 -0500

rootskel (1.29) unstable; urgency=low

  [ Colin Watson ]
  * Don't panic init if a debug shell exits non-zero.
  * The new update-dev that handles udev has been around for a while, so use
    it and drop old calls to udevstart/udevsynthesize.

  [ Frans Pop ]
  * S40term-linux: also set a default LANGUAGE so we get English translations
    instead of codes for templates that have a coded choices list.

 -- Frans Pop <fjp@debian.org>  Wed, 25 Jan 2006 19:22:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: rootskel
 XC-Package-Type: udeb
 Architecture: any
+Depends: di-utils (>= 1.24)
 Description: Skeleton root filesystem used by debian-installer
 
 Package: rootskel-bootfloppy
